#!/bin/bash
# Extract spots for a particular call from CQ WW RBN raw data files
RBNFILE1=20131123.csv
RBNFILE2=20131124.csv
if [ "$1" == "" ]; then
  echo Enter callsign to extract:
  read CALLSIGN
else
  CALLSIGN=$1
fi
echo Searching $RBNFILE1 for $CALLSIGN ...
grep -F -i -e ",dx_pfx," -e ",$CALLSIGN," $RBNFILE1 >$CALLSIGN.csv
echo Searching $RBNFILE2 for $CALLSIGN ...
grep -F -i -e ",$CALLSIGN," $RBNFILE2 >>$CALLSIGN.csv
echo Total spots extracted to $CALLSIGN.csv:
grep -F -i -c ",$CALLSIGN," <$CALLSIGN.csv
